
import 'dart:async';

import 'package:flutter/services.dart';

class Getbgm {
  static const MethodChannel _channel = MethodChannel('getbgm');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  /// 得到视频的背景声音
  static Future<String?>  getBgm(String videoPath) async {
    final String? _bgmpath = await _channel.invokeMethod('getBgm',{'videoPath': videoPath} );
    return _bgmpath;
  }
}
